Sharp, Gatsby, Build failures (segfault)

Builds have been failing with a segfault while processing images for days now. Ive implemented the changes listed in this github issue
This is the error:

7:28:27 AM: (sharp:1275): GLib-CRITICAL **: 14:28:27.737: g_hash_table_lookup: assertion 'hash_table != NULL' failed
7:28:27 AM: (sharp:1275): GLib-CRITICAL **: 14:28:27.737: g_hash_table_insert_internal: assertion 'hash_table != NULL' failed
7:28:27 AM: (sharp:1275): GLib-CRITICAL **: 14:28:27.737: g_hash_table_lookup: assertion 'hash_table != NULL' failed
7:28:37 AM: /usr/local/bin/build: line 34:  1275 Segmentation fault      (core dumped) gatsby build

This happened after some dependencies around gatsby-image were updated (sharp). The package locks were out of sync but it seems after bringing all of those up to date the failures continue. Any assistance with this would be greatly appreciated.

our current dependencies look like this:

    "@emotion/core": "^10.0.10",
    "@emotion/styled": "^10.0.10",
    "@svgr/webpack": "^4.2.0",
    "dotenv": "^7.0.0",
    "gatsby": "^2.8.6",
    "gatsby-image": "^2.2.4",
    "gatsby-plugin-emotion": "^4.0.6",
    "gatsby-plugin-google-tagmanager": "^2.0.15",
    "gatsby-plugin-manifest": "^2.0.28",
    "gatsby-plugin-offline": "^2.0.25",
    "gatsby-plugin-react-helmet": "^3.0.12",
    "gatsby-plugin-sharp": "^2.2.3",
    "gatsby-plugin-svgr": "^2.0.2",
    "gatsby-source-drupal": "^3.2.3",
    "gatsby-source-filesystem": "^2.0.29",
    "gatsby-transformer-sharp": "^2.1.18",
    "prop-types": "^15.7.2",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "react-helmet": "^5.2.0",
    "react-html-parser": "^2.0.2",
    "react-slick": "^0.24.0",
    "react-spring": "^8.0.25",
    "slick-carousel": "^1.8.1"
  }```

Hi, can you provide a link to a deploy log for one of these failed builds? Also have you tried rebuilding with cleared cache?